## com.google.javascript.jscomp
Class Result

    java.lang.Object
      com.google.javascript.jscomp.Result

    public class Result

extends Object

Compilation results

Field Summary
`Map<String,Integer>` | `cssNames`
`String` | `debugLog`
`JSError[]` | `errors`
`String` | `externExport`
`FunctionInformationMap` | `functionInformationMap`
`String` | `idGeneratorMap`
`VariableMap` | `namedAnonFunctionMap`
`VariableMap` | `propertyMap`
`SourceMap` | `sourceMap`
`VariableMap` | `stringMap`
`boolean` | `success`
`VariableMap` | `variableMap`
`JSError[]` | `warnings`

Constructor Summary
`Result(JSError[] errors, JSError[] warnings, String debugLog, VariableMap variableMap, VariableMap propertyMap, VariableMap namedAnonFunctionMap, FunctionInformationMap functionInformationMap, SourceMap sourceMap, String externExport)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### success

    public final boolean success

### errors

    public final JSError[] errors

### warnings

    public final JSError[] warnings

### debugLog

    public final String debugLog

### variableMap

    public final VariableMap variableMap

### propertyMap

    public final VariableMap propertyMap

### namedAnonFunctionMap

    public final VariableMap namedAnonFunctionMap

### stringMap

    public final VariableMap stringMap

### functionInformationMap

    public final FunctionInformationMap functionInformationMap

### sourceMap

    public final SourceMap sourceMap

### cssNames

    public final Map<String,Integer> cssNames

### externExport

    public final String externExport

### idGeneratorMap

    public final String idGeneratorMap

Constructor Detail

### Result

    public Result(JSError[] errors,
                  JSError[] warnings,
                  String debugLog,
                  VariableMap variableMap,
                  VariableMap propertyMap,
                  VariableMap namedAnonFunctionMap,
                  FunctionInformationMap functionInformationMap,
                  SourceMap sourceMap,
                  String externExport)